Where communities thrive


  • Join over 1.5M+ people
  • Join over 100K+ communities
  • Free without limits
  • Create your own community
People
Repo info
Activity
  • Jan 16 00:32
    darkfrog26 opened #49
  • Jan 16 00:32

    darkfrog26 on scala-library-2.13.8

    Update scala-library to 2.13.8 (compare)

  • Jan 16 00:32

    darkfrog26 on scribe-slf4j-3.6.7

    (compare)

  • Jan 16 00:32
    darkfrog26 closed #45
  • Jan 16 00:32
    darkfrog26 commented #45
  • Jan 16 00:32
    darkfrog26 opened #48
  • Jan 16 00:32

    darkfrog26 on scribe-slf4j-3.6.9

    Update scribe-slf4j to 3.6.9 (compare)

  • Jan 09 00:31

    darkfrog26 on cats-effect-3.3.3

    (compare)

  • Jan 09 00:31
    darkfrog26 closed #46
  • Jan 09 00:31
    darkfrog26 commented #46
  • Jan 09 00:31
    darkfrog26 opened #47
  • Jan 09 00:31

    darkfrog26 on cats-effect-3.3.4

    Update cats-effect to 3.3.4 (compare)

  • Jan 02 00:31

    darkfrog26 on cats-effect-3.3.1

    (compare)

  • Jan 02 00:31
    darkfrog26 closed #43
  • Jan 02 00:31
    darkfrog26 commented #43
  • Jan 02 00:31
    darkfrog26 opened #46
  • Jan 02 00:31

    darkfrog26 on cats-effect-3.3.3

    Update cats-effect to 3.3.3 (compare)

  • Jan 02 00:31

    darkfrog26 on scribe-slf4j-3.6.4

    (compare)

  • Jan 02 00:31
    darkfrog26 closed #39
  • Jan 02 00:31
    darkfrog26 commented #39
elyphas
@elyphas
if it is correct: collection.document.upsertOne(item)
Matt Hicks
@darkfrog26
@elyphas The User.id("john") is to generate a Id for the user, but to set its value to "john" so that it can be retrieved easily. This isn't recommended for any situation other than testing because the auto-generating ids is properly unique to avoid collisions.
Sorry for the delayed response...just noticed the message.
elyphas
@elyphas
@darkfrog26 , thank you,
And np :)
elyphas
@elyphas

@darkfrog26;
Hi, I am having this problem?

Uncaught error from thread [default-akka.actor.default-dispatcher-6]: scribe/Level$Warn$, shutting down JVM since 'akka.jvm-exit-on-fatal-error' is enabled for ActorSystem[default]

Do You think this is good idea?

akka {
       jvm-exit-on-fatal-error = false
}

to solve my problem?

well don't matter because didn't work,
I think some conflicts between libraries, any idea to solve the problem?
Matt Hicks
@darkfrog26
@elyphas are you seeing any errors before that?
Also, what other libraries are you using? It looks like there may be a conflicting library for Scribe.
elyphas
@elyphas

@elyphas are you seeing any errors before that?

No

@darkfrog26

Also, what other libraries are you using? It looks like there may be a conflicting library for Scribe.

also I think so, the library that use scribe is mycelium

@darkfrog26 ;

@elyphas are you seeing any errors before that?

I am trying to migrate a project from postgresql to arangodb,

elyphas
@elyphas
these are my libraries:
libraryDependencies ++= Seq(
  "com.outr" %% "scribe" % "3.5.3",
  "com.typesafe.akka" %% "akka-http" % akkaVer,
  "org.typelevel" %% "cats-effect" % "2.0.0",
  "org.typelevel" %% "cats-core" % "2.0.0",
  "org.tpolecat" %% "doobie-core"      % "0.9.0",
  "org.tpolecat" %% "doobie-postgres"  % "0.9.0",
  "org.tpolecat" %% "doobie-scalatest" % "0.9.0" % "test",
  "io.suzaku" %% "boopickle" % "1.3.2",
  "com.github.cornerman.mycelium" %% "mycelium" % "8395543", 
  "io.monix" %% "monix" % "3.2.2",
  "com.outr" %% "scarango-driver" % "2.4.2",
)
Matt Hicks
@darkfrog26
Try removing the explicit dependency on scribe and see if it resolves the problem.
elyphas
@elyphas
ok
although that was my first tried add the dependency explicitly over scribe
elyphas
@elyphas
same problem.
Matt Hicks
@darkfrog26
Scarango has a dependency on Scribe 3.0.4
2.7.13
I will try to send a PR to mycelium
Matt Hicks
@darkfrog26
yeah, I bet that's your problem
I'll try to get Scarango updated to the latest version of Scribe
elyphas
@elyphas
and sorry, because I didn't find the dependency on scarango over scribe I didn't make a good seek
thank you very much, :)
Matt Hicks
@darkfrog26
no problem
Scribe has gone through some breaking changes in the last few releases and that appears to be the cause
elyphas
@elyphas
ah ok,
Matt Hicks
@darkfrog26
I believe it's fairly stable now though, and I do my best to avoid breaking changes
elyphas
@elyphas
great, :)
elyphas
@elyphas
@darkfrog26 ; it was the scribe 's version
Matt Hicks
@darkfrog26
FYI, youi has a better communication layer for talking over WebSockets than the lib you're using. :-p
instead of creating request / response classes, you simply create a trait that is shared that defines the methods representing the end-points
drastically reduces the number of adhoc classes
Also, if you're interested in contributing to a prototype database that is FAR faster than ArangoDB: https://github.com/outr/lightdb/blob/master/all/src/test/scala/spec/SimpleSpec.scala
elyphas
@elyphas
@darkfrog26 , thank you, i will try, :)
elyphas
@elyphas
And yes i am interesting i will try my best
elyphas
@elyphas
Wow, scala instead of c++
elyphas
@elyphas

Hi, Suddenly I am getting this error:

[error] java.lang.NoSuchMethodError: 'scala.concurrent.Future moduload.Moduload$.load(scala.concurrent.ExecutionContext)'
[error] profig.ProfigJVMSupport.initProfig(ProfigJVMSupport.scala:41)
[error] profig.ProfigJVMSupport.initProfig$(ProfigJVMSupport.scala:39)
[error] profig.package$.initProfig(package.scala:1)
[error] profig.Profig$.init(Profig.scala:97)
[error] profig.ProfigPathJVM$.initConfiguration$extension(ProfigPathJVM.scala:49)
[error] profig.ProfigPathJVM$.initConfigurationBlocking$extension(ProfigPathJVM.scala:38)
[error] com.outr.arango.AQLMacros$.process(AQLMacros.scala:99)
[error] com.outr.arango.AQLMacros$.aqlu(AQLMacros.scala:21)

any idea? please

Matt Hicks
@darkfrog26
Another dependency issue
Scarango depends on an older version of Profig which depends on an older version of Moduload
you need to figure out what dependency is pulling in a newer version of Profig
elyphas
@elyphas
@darkfrog26 ; thank you.
I thought Profig was a file
Matt Hicks
@darkfrog26
it's a configuration library like typesafe-config or Pureconfig
elyphas
@elyphas
@darkfrog26 ; thank you, I am searching for the problem, :)
elyphas
@elyphas
ok, I think I made a mistake
You told the version and the problem